Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class BuildDependentGuidRelationFacade

    java.lang.Object
      com.pmease.quickbuild.model.BuildDependentGuidRelationFacade

All Implemented Interfaces:
  java.io.Serializable

public class BuildDependentGuidRelationFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for BuildDependentGuidRelation. This class maintains relationship between `Build` and `DependentGuid`

See Also:
  Serialized Form

Constructor Summary
`BuildDependentGuidRelationFacade()`

Method Summary
`java.lang.Long` | `getBuild()`
`java.lang.Long` | `getDependentGuid()`
`int` | `getEntityVersion()`
`java.lang.Long` | `getId()` Get identifer of this object.
`void` | `setBuild(java.lang.Long build)`
`void` | `setDependentGuid(java.lang.Long dependentGuid)`
`void` | `setEntityVersion(int entityVersion)`
`void` | `setId(java.lang.Long id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildDependentGuidRelationFacade

    public BuildDependentGuidRelationFacade()

Method Detail

### getBuild

    public java.lang.Long getBuild()

### setBuild

    public void setBuild(java.lang.Long build)

### getDependentGuid

    public java.lang.Long getDependentGuid()

### setDependentGuid

    public void setDependentGuid(java.lang.Long dependentGuid)

### getId

    public java.lang.Long getId()

  Get identifer of this object.

### setId

    public void setId(java.lang.Long id)

### getEntityVersion

    public int getEntityVersion()

### setEntityVersion

    public void setEntityVersion(int entityVersion)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.